rpm 4.10.90

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
rpmtd_s Struct Reference
RPM Tag Data Container API.

Container for rpm tag data (from headers or extensions). More...

`#include <rpmtd.h>`

## Data Fields

rpm_tag_t | tag
rpm_tagtype_t | type
rpm_count_t | count
rpm_data_t | data
rpmtdFlags | flags
int | ix

## Detailed Description

Container for rpm tag data (from headers or extensions).

Todo:
  Make this opaque (at least outside rpm itself)

## Field Documentation

rpm_count_t rpmtd_s::count

Definition at line 29 of file rpmtd.h.

rpm_data_t rpmtd_s::data

Definition at line 30 of file rpmtd.h.

rpmtdFlags rpmtd_s::flags

Definition at line 31 of file rpmtd.h.

int rpmtd_s::ix

Definition at line 32 of file rpmtd.h.

rpm_tag_t rpmtd_s::tag

Definition at line 27 of file rpmtd.h.

rpm_tagtype_t rpmtd_s::type

Definition at line 28 of file rpmtd.h.

The documentation for this struct was generated from the following file:

- rpmtd.h